Subject: bug#29674: Ceph creates Btrfs subvolumes on Btrfs during tests.

From: Rutger Helling <[email-masked]>
Date: Wed, 13 Dec 2017 09:44:50 +0100

Hey everyone,

Thanks for all the replies.

@Marius: It's a dependency for multipath-tools.

@Ludo: Like Tobias mentioned it does indeed systematically leave behind 
subvolumes that can only be manually deleted as root.
Thankfully this is the only package in which I've noticed this behavior.

I've disabled the tests entirely myself. This allowed me to build 
multipath-tools without any problems.
Maybe it's better to do that for now to make sure Btrfs users don't run 
into trouble and later disable the individual offending tests?

On 2017-12-12 21:19, [email-masked] wrote:

> Tobias Geerinckx-Rice <[email-masked]> skribis:
> 
> Ludovic Courtès wrote on 12/12/17 at 17:03: So does guix-daemon 
> systematically leave /tmp/guix-build-ceph* behind it?
> Almost certainly. I can confirm several hundred previously unknown
> subvolumes filling up my btrfs substitute server. Time to clean up.

Ouch.  I find this Btrfs behavior highly questionable.

Let's make sure our packages don't leak Btrfs subvolumes then!

Ludo'.